OGRE-Next: Ogre::SharedPtr< T > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::SharedPtr< T > Class Template Reference
Core » General

`#include <OgreSharedPtr.h>`

Inheritance diagram for Ogre::SharedPtr< T >:
[legend]

## Public Member Functions
| SharedPtr ()
| SharedPtr (const SharedPtr &r)
template<class Y>
| SharedPtr (const SharedPtr< Y > &r)
template<class Y>
| SharedPtr (const std::shared_ptr< Y > &r)
| SharedPtr (std::nullptr_t)
template<class Y>
| SharedPtr (Y *ptr)
template<class Y, class Deleter>
| SharedPtr (Y *ptr, Deleter d)
OGRE_DEPRECATED void | bind (T *rep)
template<typename Y>
OGRE_DEPRECATED SharedPtr< Y > | dynamicCast () const
OGRE_DEPRECATED T * | getPointer () const
OGRE_DEPRECATED bool | isNull () const
| operator const std::shared_ptr< T > & ()
T * | operator-> () const
SharedPtr< T > & | operator= (const Ogre::SharedPtr< T > &rhs)
OGRE_DEPRECATED void | setNull ()
template<typename Y>
OGRE_DEPRECATED SharedPtr< Y > | staticCast () const
OGRE_DEPRECATED unsigned int | useCount () const

## Detailed Description

template<class T>
class Ogre::SharedPtr< T >

Deprecated
  for backwards compatibility only, rather use std::shared_ptr directly

## Constructor & Destructor Documentation

## ◆ SharedPtr() [1/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( | std::nullptr_t |  | ) |
| inline

## ◆ SharedPtr() [2/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( |  | ) |
| inline

## ◆ SharedPtr() [3/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | Y * | ptr | ) |
| inlineexplicit

## ◆ SharedPtr() [4/7]

template<class T>
template<class Y, class Deleter>

Ogre::SharedPtr< T >::SharedPtr | ( | Y * | ptr,
|  | Deleter | d )
| inline

## ◆ SharedPtr() [5/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( | const SharedPtr< T > & | r | ) |
| inline

## ◆ SharedPtr() [6/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | const SharedPtr< Y > & | r | ) |
| inline

## ◆ SharedPtr() [7/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | const std::shared_ptr< Y > & | r | ) |
| inline

## Member Function Documentation

## ◆ bind()

template<class T>

OGRE_DEPRECATED void Ogre::SharedPtr< T >::bind | ( | T * | rep | ) |
| inline

Deprecated
  this api will be dropped. use reset(T*) instead

## ◆ dynamicCast()

template<class T>
template<typename Y>

OGRE_DEPRECATED SharedPtr< Y > Ogre::SharedPtr< T >::dynamicCast | ( |  | ) | const
| inline

Deprecated
  use Ogre::dynamic_pointer_cast instead

## ◆ getPointer()

template<class T>

OGRE_DEPRECATED T * Ogre::SharedPtr< T >::getPointer | ( |  | ) | const
| inline

Deprecated
  use get() instead

## ◆ isNull()

template<class T>

OGRE_DEPRECATED bool Ogre::SharedPtr< T >::isNull | ( |  | ) | const
| inline

Deprecated
  use SharedPtr::operator bool instead

## ◆ operator const std::shared_ptr< T > &()

template<class T>

Ogre::SharedPtr< T >::operator const std::shared_ptr< T > & | ( |  | ) |
| inline

## ◆ operator->()

template<class T>

T * Ogre::SharedPtr< T >::operator-> | ( |  | ) | const
| inline

## ◆ operator=()

template<class T>

SharedPtr< T > & Ogre::SharedPtr< T >::operator= | ( | const Ogre::SharedPtr< T > & | rhs | ) |
| inline

## ◆ setNull()

template<class T>

OGRE_DEPRECATED void Ogre::SharedPtr< T >::setNull | ( |  | ) |
| inline

Deprecated
  use reset() instead

## ◆ staticCast()

template<class T>
template<typename Y>

OGRE_DEPRECATED SharedPtr< Y > Ogre::SharedPtr< T >::staticCast | ( |  | ) | const
| inline

Deprecated
  use Ogre::static_pointer_cast instead

## ◆ useCount()

template<class T>

OGRE_DEPRECATED unsigned int Ogre::SharedPtr< T >::useCount | ( |  | ) | const
| inline

Deprecated
  use use_count() instead

The documentation for this class was generated from the following files:

- OgrePrerequisites.h
- OgreSharedPtr.h